Package org.codehaus.groovy.runtime.callsite

# Class MetaClassSite

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.MetaClassSite

All Implemented Interfaces:
  `CallSite`

Direct Known Subclasses:
  `ConstructorMetaClassSite`, `ConstructorSite`, `MetaClassConstructorSite`, `MetaMethodSite`, `PogoMetaClassSite`, `PojoMetaClassSite`, `StaticMetaClassSite`

public abstract class MetaClassSite extends AbstractCallSite
Call site which holds reference to meta class

Author:
  Alex Tkachman

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final MetaClass`
`metaClass`

### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`array, index, name`

## Constructor Summary

Constructors
Constructor
Description
`MetaClassSite(CallSite site, MetaClass metaClass)`

## Method Summary

### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### metaClass

protected final MetaClass metaClass

## Constructor Details

### MetaClassSite

public MetaClassSite(CallSite site, MetaClass metaClass)